import { ParsedTranscript } from '../models/parsed-transcript';
import { Parser } from '../models/parser';
/**
 * Peforms simple parsing on a given transcript. Chunks are expected to be in the form of [HH:mm:ss]
 */
export declare class SimpleParser extends Parser {
    /**
     * A regular expression to split timestamps and their respective text
     */
    private readonly CHUNK_REGEX;
    /**
     * A regular expression to deliminate new chunks in a transcript
     */
    protected readonly NEW_CHUNK_REGEX: RegExp;
    /**
     * Parses a given transcript following the format of `[HH:mm:ss]` or `[HH:mm:ss.SSS]`
     *
     * @param transcript The transcript we wish to parse
     */
    parse(transcript: string): ParsedTranscript;
}
